bitel.billing.server.contract.bean

## Class ContractModuleManager

- java.lang.Object
- - bitel.billing.server.contract.bean.ContractModuleManager

-     public class ContractModuleManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractModuleManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContractModule(int contractId, int moduleId)` Добавляет экземпляр модуля к договору в БД.
    `void` | `deleteContractModule(int contractId, int moduleId)` Удаляет экземпляр модуля из договора в БД.
    `java.util.Map<java.lang.Integer,java.util.Set<java.lang.Integer>>` | `getContractModuleMap()` Возвращает Map с кодами экземпляров модулей договора от ид_договоров.
    `java.util.List<BGModule>` | `getContractModules(int contractId)` Возвращает список экземпляров модулей договора с сортировкой по названию.
    `java.util.Set<java.lang.Integer>` | `getContractModuleSet(int contractId)` Возвращает Set с кодами экземпляров модулей договора.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractModuleManager

          public ContractModuleManager(java.sql.Connection con)

  - ### Method Detail

    - #### getContractModules

          public java.util.List<BGModule> getContractModules(int contractId)
                                                      throws ru.bitel.bgbilling.common.BGException

      Возвращает список экземпляров модулей договора с сортировкой по названию. Использует `ModuleCache`.
      Parameters:
        `contractId` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractModuleSet

          public java.util.Set<java.lang.Integer> getContractModuleSet(int contractId)
                                                                throws ru.bitel.bgbilling.common.BGException

      Возвращает Set с кодами экземпляров модулей договора.
      Parameters:
        `contractId` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractModuleMap

          public java.util.Map<java.lang.Integer,java.util.Set<java.lang.Integer>> getContractModuleMap()
                                                                                                 throws ru.bitel.bgbilling.common.BGException

      Возвращает Map с кодами экземпляров модулей договора от ид_договоров. cid=>set[mid,...] ВНИМАНИЕ: в общем случае для крупных клиентов получается СЛИШКОМ большая структура, такое нельзя использовать, лучше сделать больше запросов или джойн.
      Parameters:
        `contractId` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addContractModule

          public void addContractModule(int contractId,
                                        int moduleId)
                                 throws ru.bitel.bgbilling.common.BGException

      Добавляет экземпляр модуля к договору в БД.
      Parameters:
        `contractId` -
        `moduleId` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteContractModule

          public void deleteContractModule(int contractId,
                                           int moduleId)
                                    throws ru.bitel.bgbilling.common.BGException

      Удаляет экземпляр модуля из договора в БД.
      Parameters:
        `contractId` -
        `moduleId` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`